namespace = DummyInSpot

;ログハウス・バスルーム
;E:\DOAXVV\DummyInSpot\pier\LogHouse\Balcony\LogHouse_Balcony.blend


;--レイアウトリソースの設定
;-宣言
[Resource_LogHouse_Balcony_01_VB]
[Resource_LogHouse_Balcony_01_IB]
[Resource_LogHouse_Balcony_02_VB]
[Resource_LogHouse_Balcony_02_IB]
[Resource_LogHouse_Balcony_03_VB]
[Resource_LogHouse_Balcony_03_IB]
[Resource_LogHouse_Balcony_04_VB]
[Resource_LogHouse_Balcony_04_IB]
[Resource_LogHouse_Balcony_05_VB]
[Resource_LogHouse_Balcony_05_IB]

[CommandList_LogHouse_Reset_Balcony]
Resource_LogHouse_Balcony_01_VB = null
Resource_LogHouse_Balcony_01_IB = null
Resource_LogHouse_Balcony_02_VB = null
Resource_LogHouse_Balcony_02_IB = null
Resource_LogHouse_Balcony_03_VB = null
Resource_LogHouse_Balcony_03_IB = null
Resource_LogHouse_Balcony_04_VB = null
Resource_LogHouse_Balcony_04_IB = null
Resource_LogHouse_Balcony_05_VB = null
Resource_LogHouse_Balcony_05_IB = null


;-全て同じ
[CommandList_LogHouse_Layout1_Pos1_Balcony_Resource]
Resource_LogHouse_Balcony_01_VB = ref Resource_LogHouse_Layout1_Pos1_Balcony_01_VB
Resource_LogHouse_Balcony_01_IB = ref Resource_LogHouse_Layout1_Pos1_Balcony_01_IB
Resource_LogHouse_Balcony_02_VB = ref Resource_LogHouse_Layout1_Pos1_Balcony_02_VB
Resource_LogHouse_Balcony_02_IB = ref Resource_LogHouse_Layout1_Pos1_Balcony_02_IB
Resource_LogHouse_Balcony_03_VB = ref Resource_LogHouse_Layout1_Pos1_Balcony_03_VB
Resource_LogHouse_Balcony_03_IB = ref Resource_LogHouse_Layout1_Pos1_Balcony_03_IB
Resource_LogHouse_Balcony_04_VB = ref Resource_LogHouse_Layout1_Pos1_Balcony_04_VB
Resource_LogHouse_Balcony_04_IB = ref Resource_LogHouse_Layout1_Pos1_Balcony_04_IB
Resource_LogHouse_Balcony_05_VB = ref Resource_LogHouse_Layout1_Pos1_Balcony_05_VB
Resource_LogHouse_Balcony_05_IB = ref Resource_LogHouse_Layout1_Pos1_Balcony_05_IB

[CommandList_LogHouse_Layout1_Pos2_Balcony_Resource]
Resource_LogHouse_Balcony_01_VB = ref Resource_LogHouse_Layout1_Pos2_Balcony_01_VB
Resource_LogHouse_Balcony_01_IB = ref Resource_LogHouse_Layout1_Pos2_Balcony_01_IB
Resource_LogHouse_Balcony_02_VB = ref Resource_LogHouse_Layout1_Pos2_Balcony_02_VB
Resource_LogHouse_Balcony_02_IB = ref Resource_LogHouse_Layout1_Pos2_Balcony_02_IB
Resource_LogHouse_Balcony_03_VB = ref Resource_LogHouse_Layout1_Pos2_Balcony_03_VB
Resource_LogHouse_Balcony_03_IB = ref Resource_LogHouse_Layout1_Pos2_Balcony_03_IB
Resource_LogHouse_Balcony_04_VB = ref Resource_LogHouse_Layout1_Pos2_Balcony_04_VB
Resource_LogHouse_Balcony_04_IB = ref Resource_LogHouse_Layout1_Pos2_Balcony_04_IB
Resource_LogHouse_Balcony_05_VB = ref Resource_LogHouse_Layout1_Pos2_Balcony_05_VB
Resource_LogHouse_Balcony_05_IB = ref Resource_LogHouse_Layout1_Pos2_Balcony_05_IB

[CommandList_LogHouse_Layout1_Pos3_Balcony_Resource]
Resource_LogHouse_Balcony_01_VB = ref Resource_LogHouse_Layout1_Pos3_Balcony_01_VB
Resource_LogHouse_Balcony_01_IB = ref Resource_LogHouse_Layout1_Pos3_Balcony_01_IB
Resource_LogHouse_Balcony_02_VB = ref Resource_LogHouse_Layout1_Pos3_Balcony_02_VB
Resource_LogHouse_Balcony_02_IB = ref Resource_LogHouse_Layout1_Pos3_Balcony_02_IB
Resource_LogHouse_Balcony_03_VB = ref Resource_LogHouse_Layout1_Pos3_Balcony_03_VB
Resource_LogHouse_Balcony_03_IB = ref Resource_LogHouse_Layout1_Pos3_Balcony_03_IB
Resource_LogHouse_Balcony_04_VB = ref Resource_LogHouse_Layout1_Pos3_Balcony_04_VB
Resource_LogHouse_Balcony_04_IB = ref Resource_LogHouse_Layout1_Pos3_Balcony_04_IB
Resource_LogHouse_Balcony_05_VB = ref Resource_LogHouse_Layout1_Pos3_Balcony_05_VB
Resource_LogHouse_Balcony_05_IB = ref Resource_LogHouse_Layout1_Pos3_Balcony_05_IB

[CommandList_LogHouse_Layout1_Pos4_Balcony_Resource]
Resource_LogHouse_Balcony_01_VB = ref Resource_LogHouse_Layout1_Pos4_Balcony_01_VB
Resource_LogHouse_Balcony_01_IB = ref Resource_LogHouse_Layout1_Pos4_Balcony_01_IB
Resource_LogHouse_Balcony_02_VB = ref Resource_LogHouse_Layout1_Pos4_Balcony_02_VB
Resource_LogHouse_Balcony_02_IB = ref Resource_LogHouse_Layout1_Pos4_Balcony_02_IB
Resource_LogHouse_Balcony_03_VB = ref Resource_LogHouse_Layout1_Pos4_Balcony_03_VB
Resource_LogHouse_Balcony_03_IB = ref Resource_LogHouse_Layout1_Pos4_Balcony_03_IB
Resource_LogHouse_Balcony_04_VB = ref Resource_LogHouse_Layout1_Pos4_Balcony_04_VB
Resource_LogHouse_Balcony_04_IB = ref Resource_LogHouse_Layout1_Pos4_Balcony_04_IB
Resource_LogHouse_Balcony_05_VB = ref Resource_LogHouse_Layout1_Pos4_Balcony_05_VB
Resource_LogHouse_Balcony_05_IB = ref Resource_LogHouse_Layout1_Pos4_Balcony_05_IB



;--リソース(全て同じ)
;Layout1 Pos1
[Resource_LogHouse_Layout1_Pos1_Balcony_01_VB]
filename = Layout1\Pos1\balcony\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Balcony_01_IB]
filename = Layout1\Pos1\balcony\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_Balcony_02_VB]
filename = Layout1\Pos1\balcony\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Balcony_02_IB]
filename = Layout1\Pos1\balcony\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_Balcony_03_VB]
filename = Layout1\Pos1\balcony\03.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Balcony_03_IB]
filename = Layout1\Pos1\balcony\03.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_Balcony_04_VB]
filename = Layout1\Pos1\balcony\04.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Balcony_04_IB]
filename = Layout1\Pos1\balcony\04.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_Balcony_05_VB]
filename = Layout1\Pos1\balcony\05.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_Balcony_05_IB]
filename = Layout1\Pos1\balcony\05.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT

;Layout1 Pos2
[Resource_LogHouse_Layout1_Pos2_Balcony_01_VB]
filename = Layout1\Pos2\balcony\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Balcony_01_IB]
filename = Layout1\Pos2\balcony\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_Balcony_02_VB]
filename = Layout1\Pos2\balcony\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Balcony_02_IB]
filename = Layout1\Pos2\balcony\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_Balcony_03_VB]
filename = Layout1\Pos2\balcony\03.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Balcony_03_IB]
filename = Layout1\Pos2\balcony\03.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_Balcony_04_VB]
filename = Layout1\Pos2\balcony\04.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Balcony_04_IB]
filename = Layout1\Pos2\balcony\04.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_Balcony_05_VB]
filename = Layout1\Pos2\balcony\05.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_Balcony_05_IB]
filename = Layout1\Pos2\balcony\05.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT

;Layout1 Pos3
[Resource_LogHouse_Layout1_Pos3_Balcony_01_VB]
filename = Layout1\Pos3\balcony\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Balcony_01_IB]
filename = Layout1\Pos3\balcony\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_Balcony_02_VB]
filename = Layout1\Pos3\balcony\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Balcony_02_IB]
filename = Layout1\Pos3\balcony\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_Balcony_03_VB]
filename = Layout1\Pos3\balcony\03.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Balcony_03_IB]
filename = Layout1\Pos3\balcony\03.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_Balcony_04_VB]
filename = Layout1\Pos3\balcony\04.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Balcony_04_IB]
filename = Layout1\Pos3\balcony\04.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_Balcony_05_VB]
filename = Layout1\Pos3\balcony\05.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_Balcony_05_IB]
filename = Layout1\Pos3\balcony\05.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT

;Layout1 Pos4
[Resource_LogHouse_Layout1_Pos4_Balcony_01_VB]
filename = Layout1\Pos4\balcony\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_Balcony_01_IB]
filename = Layout1\Pos4\balcony\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos4_Balcony_02_VB]
filename = Layout1\Pos4\balcony\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_Balcony_02_IB]
filename = Layout1\Pos4\balcony\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos4_Balcony_03_VB]
filename = Layout1\Pos4\balcony\03.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_Balcony_03_IB]
filename = Layout1\Pos4\balcony\03.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos4_Balcony_04_VB]
filename = Layout1\Pos4\balcony\04.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_Balcony_04_IB]
filename = Layout1\Pos4\balcony\04.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos4_Balcony_05_VB]
filename = Layout1\Pos4\balcony\05.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos4_Balcony_05_IB]
filename = Layout1\Pos4\balcony\05.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT



;-- 描画
[CommandList_LogHouse_Draw_Balcony]
run = CommandList\MLC\_Resource_Save
ps-cb2 = ref Resource_pscb2

if ($LogHouse_DrawCounter == 4)
	;-フェンスの埋まっている部分の影が出るので、影を出さない
	ps-t0 = ref Resource_LogHouse_Wood_Syuuseizai4_Tex0
	ps-t1 = ref Resource_LogHouse_Wood_Syuuseizai4_Tex1
	ps-cb2 = ref Resource_LogHouse_Wood_Syuuseizai4_pscb2
	vb0 = ref Resource_LogHouse_Balcony_02_VB
	ib = ref Resource_LogHouse_Balcony_02_IB
	run = CommandList_LogHouse_Draw
endif

if $LogHouse_IsDraw
	ps-t0 = ref Resource_LogHouse_Wood_Syuuseizai3_Tex0
	ps-t1 = ref Resource_LogHouse_Wood_Syuuseizai3_Tex1
	ps-cb2 = ref Resource_LogHouse_Wood_Syuuseizai3_pscb2
	vb0 = ref Resource_LogHouse_Balcony_01_VB
	ib = ref Resource_LogHouse_Balcony_01_IB
	run = CommandList_LogHouse_Draw

	ps-t0 = ref Resource_LogHouse_Wood_Syuuseizai4_Tex0
	ps-t1 = ref Resource_LogHouse_Wood_Syuuseizai4_Tex1
	ps-cb2 = ref Resource_LogHouse_Wood_Syuuseizai4_pscb2
	vb0 = ref Resource_LogHouse_Balcony_03_VB
	ib = ref Resource_LogHouse_Balcony_03_IB
	run = CommandList_LogHouse_Draw

	if $LH_IsDraw2ndFloor
		ps-t0 = ref Resource_LogHouse_Wood_Syuuseizai3_Tex0
		ps-t1 = ref Resource_LogHouse_Wood_Syuuseizai3_Tex1
		ps-cb2 = ref Resource_LogHouse_Wood_Syuuseizai3_pscb2
		vb0 = ref Resource_LogHouse_Balcony_04_VB
		ib = ref Resource_LogHouse_Balcony_04_IB
		run = CommandList_LogHouse_Draw

		ps-t0 = ref Resource_LogHouse_Wood_Mokume1_Tex0
		ps-t1 = ref Resource_LogHouse_Wood_Mokume1_Tex1
		ps-cb2 = ref Resource_LogHouse_Wood_Mokume1_pscb2
		vb0 = ref Resource_LogHouse_Balcony_05_VB
		ib = ref Resource_LogHouse_Balcony_05_IB
		run = CommandList_LogHouse_Draw
	endif
endif

run = CommandList\MLC\_Resource_Restore



